CONDOR_RM(1)

NAME
condor_rm - HTCondor Manual

Withdraw job(s) from an Access Point.

SYNOPSIS

condor_rm [-help | -version]

condor_rm [OPTIONS] [cluster... | cluster.proc... | user...]

condor_rm [-debug] [-long] [-totals] [-all] [-constraint expression] [-forcex][-pool hostname[:portnumber] | -name scheddname | -addr "<a.b.c.d:port>"]

DESCRIPTION

Remove job(s) currently being managed by an Access Point. Any jobs actively running or transferring files will be stopped and cleaned prior to removing the job and writing its ClassAd to the HISTORY <href="../admin-manual/configuration-macros.html#HISTORY"> file. For any given job, only the owner of the job or one of the queue super users (defined by the QUEUE_SUPER_USERS <href="../admin-manual/configuration-macros.html#QUEUE_SUPER_USERS"> macro) can remove the job.

OPTIONS

            -help
                Display usage information.

            -version
                Display version information.

            -long
                Display result ClassAd.

            -totals
                Display success/failure totals.

            -pool hostname[:portnumber]
                Specify a pool by giving the central manager's host name and an optional port number.

            -name scheddname
                Send the command to a machine identified by scheddname.

            -addr "<a.b.c.d:port>"
                Send the command to a machine located at "<a.b.c.d:port>".

            -debug
                Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG <href="../admin-manual/configuration-macros.html#TOOL_DEBUG">.

            -forcex
                Force the immediate local removal of jobs in the X state. This only affects jobs already being removed.

            -constraint expression
                Remove all jobs which match the job ClassAd expression constraint.

            -all
                Remove all the jobs in the queue.

            cluster
                Remove all jobs in the specified cluster.

            cluster.process
                Remove the specific job in the cluster.

            user
                Remove jobs belonging to specified user.

GENERAL REMARKS

If the -name option is specified, the named condor_schedd is targeted for processing. Otherwise, the local condor_schedd is targeted.

Removed jobs that were running in the grid universe may remain in the X state for a long time. This is normal, as HTCondor is attempting to communicate with the remote scheduling system to ensure the job has been properly cleaned up. The job can be forcibly removed with the -forcex if the job is stuck in the X state.

Warning:
        The -forcex option will cause immediate removal of the job which an orphan parts of the job that running remotely and have not been stopped or cleaned up.

EXIT STATUS

0 - Success

1 - Failure has occurred

EXAMPLES

Remove a specific job:

            $ condor_rm 123.45

Remove all jobs currently not running:

            $ condor_rm -constraint 'JobStatus =!= 2'

Remove all of user Bob's jobs:

            # condor_rm bob

SEE ALSO

condor_suspend <href="../man-pages/condor_suspend.html">, condor_continue <href="../man-pages/condor_continue.html">, condor_hold <href="../man-pages/condor_hold.html">, condor_release <href="../man-pages/condor_release.html">, condor_vacate_job <href="../man-pages/condor_vacate_job.html">, condor_vacate <href="../man-pages/condor_vacate.html">

AVAILABILITY

Linux, MacOS, Windows

Author
HTCondor Team

Copyright
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.